Index: basicnet/mailnews/slrn/slrn-config.xml
===================================================================
--- basicnet/mailnews/slrn/slrn-config.xml	(revision fea53a2dfe06ebb4df42a1fdf5e712819809854d)
+++ basicnet/mailnews/slrn/slrn-config.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -13,5 +13,5 @@
 
 <para><screen>
-<userinput> slrn -f $HOME/.jnewsrc --create &amp;&amp; </userinput>
+<userinput> slrn -f $HOME/.jnewsrc --create</userinput>
 </screen></para>
 
Index: basicnet/mailnews/slrn/slrn-inst.xml
===================================================================
--- basicnet/mailnews/slrn/slrn-inst.xml	(revision fea53a2dfe06ebb4df42a1fdf5e712819809854d)
+++ basicnet/mailnews/slrn/slrn-inst.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -6,5 +6,5 @@
 <para><screen>
 <userinput>./configure --prefix=/usr --with-slrnpull &amp;&amp;
-make &amp;&amp;
+make LDFLAGS="-ldl" &amp;&amp;
 make install</userinput>
 </screen></para>
Index: basicnet/mailnews/slrn/slrn-intro.xml
===================================================================
--- basicnet/mailnews/slrn/slrn-intro.xml	(revision fea53a2dfe06ebb4df42a1fdf5e712819809854d)
+++ basicnet/mailnews/slrn/slrn-intro.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -12,3 +12,8 @@
 can also be created with the use of the slrnpull program included in
 the slrn distribution.</para>
+
+<screen>slrn depends on:
+<xref linkend="slang"/>.</screen>
+
+
 </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision fea53a2dfe06ebb4df42a1fdf5e712819809854d)
+++ introduction/welcome/changelog.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>August 19th, 2002 [larry]: Server: Added Samba-2.2.5 and
+modified slrn.</para></listitem>
 
 <listitem><para>August 19th, 2002 [larry]: X: Added
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision fea53a2dfe06ebb4df42a1fdf5e712819809854d)
+++ introduction/welcome/credits.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -92,5 +92,5 @@
 Hymers</emphasis></para></listitem>
 
-<listitem><para>emacs, libfam, pine, qmail and slrn: <emphasis>Billy O'Connor</emphasis></para></listitem>
+<listitem><para>emacs, libfam, pine, qmail, Samba and slrn: <emphasis>Billy O'Connor</emphasis></para></listitem>
 
 <listitem><para>fetchmail and wvdial: <emphasis>Paul
Index: server/other/samba.xml
===================================================================
--- server/other/samba.xml	(revision fea53a2dfe06ebb4df42a1fdf5e712819809854d)
+++ server/other/samba.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -1,7 +1,12 @@
-<sect1 id="samba" xreflabel="samba">
+<sect1 id="samba" xreflabel="samba-&samba-version;">
 <?dbhtml filename="samba.html" dir="server"?>
-<title>samba</title>
+<title>Samba-&samba-version;</title>
 
-<para>TO BE DONE</para>
+&samba-intro;
+&samba-inst;
+&samba-exp;
+&samba-config;
+&samba-config-exp;
+&samba-desc;
 
 </sect1>
Index: server/other/samba/samba-config-exp.xml
===================================================================
--- server/other/samba/samba-config-exp.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
+++ server/other/samba/samba-config-exp.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -0,0 +1,35 @@
+<sect2>
+<title>Configuration command explanations</title>
+<para><userinput>
+cat &gt; /etc/samba/smb.conf &lt;&lt; "EOF"</userinput>
+Create a default Samba configuration file.  This configuration will
+allow Samba to act as a Primary Domain Controller for a Microsoft
+Windows based network.  If this is not desired, a simpler default
+smb.conf file is bundled with the Samba distribution.  See the
+<filename>samba&samba-version/examples/smb.conf.default</filename>
+file.  Primary Domain Controller configuration is slightly more
+complicated than ordinary member server configuration, so instructions
+for PDC configuration will be given here.</para>
+
+
+<para><userinput>
+cat > /etc/rc.d/init.d/samba << "EOF" :</userinput>
+Create the Samba boot script, used to start and stop Samba
+automatically on machine startup and shutdown.</para>
+
+<para><userinput>
+/usr/sbin/useradd -g 100 -d /dev/null -c \
+    "Win2k Server" -s /bin/false win2kbox$ :
+</userinput>
+This command creates a machine trust account, necessary only for
+Windows 2000/NT servers to authenticate to our new PDC.  Machine trust
+accounts are not necessary for Win95/98 clients.</para>
+
+<para>
+<userinput>
+ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc3.d/S600samba, etc.
+</userinput>
+Create the Samba boot scripts, used to start and stop Samba
+automatically on machine startup and shutdown.</para>
+</sect2>
+
Index: server/other/samba/samba-config.xml
===================================================================
--- server/other/samba/samba-config.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
+++ server/other/samba/samba-config.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -0,0 +1,197 @@
+<sect2>
+<title>Configuring Samba</title>
+<para>We will configure 1 Samba server(SAMBABOX) to act as a primary
+domain controller, as well as configure 1 domain client running
+Windows 2000 Server(WIN2KBOX) and acting as a member server of the
+domain.  Detailed instructions will be given for adding WIN2KBOX to
+the domain due to the extra steps necessary.  Instructions for adding
+Windows 95/98/XP clients can be found in the newly installed
+documentation by pointing a web browser to : </para>
+
+<para><screen><userinput>
+file:///var/www/swat/using_samba/ch03_01.html#ch03-55770
+.</userinput></screen></para>
+
+<sect3><title>Config files</title>
+<para><userinput>
+/etc/samba/smb.conf, /etc/rc.d/init.d/samba </userinput></para>
+
+<para>First we set up some directories needed by Samba:</para>
+<para><screen><userinput>
+mkdir /var/lib/samba &amp;&amp;
+mkdir /var/lib/samba/netlogon &amp;&amp;
+mkdir /var/lib/samba/ntprofile &amp;&amp;
+mkdir /var/lib/samba/profiles &amp;&amp;
+chmod -R 1777 /var/lib/samba
+</userinput></screen></para>
+
+<para>And the Samba configuration file: </para>
+<para><screen><userinput>
+cat &gt; /etc/samba/smb.conf &lt;&lt; "EOF"
+[global]
+    netbios name = SAMBABOX
+    workgroup = DOMAIN01
+    os level = 64
+    preferred master = yes
+    domain master = yes
+    local master = yes
+    security = user
+    encrypt passwords = yes
+    domain logons = yes
+    log file = /var/log/log.%m
+    log level = 1
+    logon path = \\%N\home\%u
+    logon drive = H:
+    logon home = \\homeserver\%u
+    logon script = logon.cmd
+[netlogon]
+      path = /var/lib/samba/netlogon
+      read only = yes
+      write list = ntadmin
+[profiles]
+      path = /var/lib/samba/ntprofile
+      read only = no
+      create mask = 0600
+      directory mask = 0700
+; World writable share for testing
+[tmp]
+comment = Temporary file space
+        path = /tmp
+        read only = no
+        public = yes
+[home]
+comment = Users' home directories
+        path = /home
+        read only = no
+        public = no
+EOF
+</userinput></screen></para>
+
+<para>Now add the machine trust account for WIN2KBOX:</para>
+<para><screen><userinput>
+/usr/sbin/useradd -g 100 -d /dev/null -c \
+    "machine nickname" -s /bin/false win2kbox$ &amp;&amp;
+passwd -l win2kbox$ &amp;&amp;
+smbpasswd -a -m win2kbox
+</userinput></screen></para>
+
+<para>Create the Samba boot script:</para>
+<para><screen><userinput>
+cat &gt; /etc/rc.d/init.d/samba &lt;&lt; "EOF"
+#!/bin/bash
+# Begin $rc_base/init.d/samba
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+source /etc/sysconfig/rc
+source $rc_functions
+case "$1" in
+	start)
+		echo "Starting nmbd..."
+		loadproc /usr/sbin/nmbd
+		echo "Starting smbd..."
+		loadproc /usr/sbin/smbd
+		;;
+	stop)
+		echo "Stopping smbd..."
+		killproc /usr/sbin/smbd
+		echo "Stopping nmbd..."
+		killproc /usr/sbin/nmbd
+		;;
+	reload)
+		echo "Reloading smbd..."
+		reloadproc /usr/sbin/smbd
+		echo "Reloading nmbd..."
+		reloadproc /usr/sbin/nmbd
+		;;
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+		;;
+	status)
+		statusproc /usr/sbin/nmbd
+		statusproc /usr/sbin/smbd
+		;;
+	*)
+		echo "Usage: $0 {start|stop|reload|restart|status}"
+		exit 1
+		;;
+esac
+# End $rc_base/init.d/samba
+EOF
+
+</userinput></screen></para>
+<para>Add the run level symlinks:</para>
+<para><screen><userinput>
+chmod 754 /etc/rc.d/init.d/samba &&
+ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc0.d/K400samba &&
+ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc1.d/K400samba &&
+ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc2.d/K400samba &&
+ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc3.d/S600samba &&
+ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc4.d/S600samba &&
+ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc5.d/S600samba &&
+ln -s  /etc/rc.d/init.d/samba /etc/rc.d/rc6.d/K400samba
+</userinput></screen></para>
+
+<para>Now, we'll use our new boot script to start Samba: </para>
+<para><screen><userinput>
+/etc/rc.d/init.d/samba start
+</userinput></screen></para>
+<para>We have to add the SAMBABOX root account to the Samba user list
+first in order to join WIN2KBOX to the DOMAIN01 domain: </para>
+
+<para><screen><userinput>
+smbpasswd -a root
+</userinput></screen></para>
+
+<para>After starting Samba and adding root to the Samba user list, the
+first machine we'll join to DOMAIN01 will be WIN2KBOX, the Windows
+2000 Server box we created the machine trust account for.  On
+WIN2KBOX:</para><para><screen><userinput>
+
+1.  Right click on My Computer.
+2.  Click on Properties.
+3.  Click on the Network Identification notebook tab.
+4.  Click on the Properties button.
+5.  In the Computer Name: edit field enter WIN2KBOX.
+6.  Click on the Domain: radio button and enter DOMAIN01 in the edit
+    field and click OK.
+7.  When presented with the Domain Username And Password dialog box,
+    enter root and root's password on SAMBABOX and click OK.
+8.  After the machine trust is negotiated, click the OK button in the
+    dialog box welcoming you to the DOMAIN01 domain.
+9.  Click OK in the reboot reminder dialog box.
+10. Click OK to close the System Properties window.
+11. Click Yes to reboot WIN2KBOX.
+</userinput></screen></para></sect3>
+
+<sect3><title>Add a new user to the DOMAIN01 domain.</title>
+<para>Before logging on to WIN2KBOX, we will create a new user with
+    the following commands:</para>
+<para><screen><userinput>
+useradd -m win2kuser01 &amp;&amp;
+passwd win2kuser01 &amp;&amp;
+smbpasswd -a win2kuser01 
+</userinput></screen></para></sect3>
+
+<sect3><title>Logging on to DOMAIN01.</title>
+<para>Now we will log on the the domain as our newly created user as
+    follows:</para> 
+<para><screen><userinput>
+1. Press Ctrl-Alt-Del to bring up the Log On to Windows dialog box.
+2. Enter the win2kuser01 name and password.
+3. Select DOMAIN01 from the Log on to: combination box and click OK.
+</userinput></screen></para>
+
+<para>The Samba Web Administration Tool, swat, can be launched with the
+following command on SAMBABOX: </para>
+<para><screen><userinput>
+lynx http://localhost:901
+</userinput></screen></para>
+<note><para>Be sure inetd is running, and issue a killall -HUP inetd
+before starting swat.</para></note>
+<para>The lynx browser is used in this demonstration, but is not
+necessary.</para></sect3>
+
+</sect2>
+
Index: server/other/samba/samba-desc.xml
===================================================================
--- server/other/samba/samba-desc.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
+++ server/other/samba/samba-desc.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -0,0 +1,70 @@
+<sect2>
+<title>Contents</title>
+
+<para>The Samba package contains
+<userinput>make_smbcodepage</userinput>,
+<userinput>make_unicodemap</userinput>,
+<userinput>nmbd</userinput>,
+<userinput>nmblookup</userinput>,
+<userinput>rpcclient</userinput>,
+<userinput>smbcacls</userinput>,
+<userinput>smbclient</userinput>,
+<userinput>smbcontrol</userinput>,
+<userinput>smbd</userinput>,
+<userinput>smbpasswd</userinput>,
+<userinput>smbspool</userinput>,
+<userinput>smbstatus</userinput>,
+<userinput>swat</userinput>,
+<userinput>testparm</userinput>,
+<userinput>testprns</userinput>,
+<userinput>wbinfo</userinput> and
+<userinput>winbindd.</userinput></para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>make_smbcodepage</title>
+<para>make_smbcodepage converts text descriptions of code pages to
+binary code page files nd vice versa.</para></sect3>
+<sect3><title>make_unicodemap</title>
+<para>make_unicodemap converts text unicode map files to binary, for
+use in mapping characters to 16 bit unicode.</para></sect3>
+<sect3><title>nmbd</title>
+<para>nmbd is the Samba NetBIOS name server.</para></sect3>
+<sect3><title>nmblookup</title>
+<para>nmblookup is used to query NetBIOS names and map them to IP
+addresses.</para></sect3>
+<sect3><title>rpcclient</title>
+<para>rpcclient is used to execute MS-RPC client side
+functions.</para></sect3>
+<sect3><title>smbcacls</title>
+<para>smbcacls is used to manipulate NT access control
+lists.</para></sect3>
+<sect3><title>smbclient</title>
+<para>smbclient is a SMB/CIFS access utility, similar to
+FTP.</para></sect3>
+<sect3><title>smbcontrol</title>
+<para>smbcontrol is used to control running smbd, nmbd and winbindd
+daemons.</para></sect3>
+<sect3><title>smbd</title>
+<para>smbd is the main Samba daemon.</para></sect3>
+<sect3><title>smbpasswd</title>
+<para>smbpasswd changes a user's Samba password.</para></sect3>
+<sect3><title>smbspool</title>
+<para>smbspool sends a print job to an SMB printer.</para></sect3>
+<sect3><title>smbstatus</title>
+<para>smbstatus reports current Samba connections.</para></sect3>
+<sect3><title>swat</title>
+<para>swat is the Samba Web Administration Tool.</para></sect3>
+<sect3><title>testparm</title>
+<para>testparm checks an smb.conf file for proper
+syntax.</para></sect3>
+<sect3><title>testprns</title>
+<para>testprns tests printer names.</para></sect3>
+<sect3><title>wbinfo</title>
+<para>wbinfo queries a running winbindd daemon.</para></sect3>
+<sect3><title>winbindd</title>
+<para>winbindd resolves names from NT servers.</para></sect3>
+</sect2>
+
Index: server/other/samba/samba-inst.xml
===================================================================
--- server/other/samba/samba-inst.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
+++ server/other/samba/samba-inst.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -0,0 +1,30 @@
+<sect2>
+<title>Installation of Samba</title>
+
+<para>Install Samba by running the following commands:</para>
+<note><para>
+Samba is installed from the samba-&samba-version/source directory.
+</para></note>
+
+<para><screen><userinput>
+mkdir /var/www &&
+mkdir /var/www/swat &&
+./configure \
+   --prefix=/usr \
+   --libexecdir=/usr \
+   --sysconfdir=/etc/samba \
+   --with-privatedir=/etc/samba/private \
+   --with-lockdir=/var/lock \
+   --with-piddir=/var/run \
+   --with-swatdir=/var/www/swat \
+   --with-configdir=/etc/samba &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+mkdir /etc/samba &amp;&amp;
+mkdir /etc/samba/private &amp;&amp;
+echo "swat            901/tcp" &gt;&gt; /etc/services &amp;&amp;
+echo "swat stream tcp nowait.400 root /usr/sbin/swat swat" \
+    &gt;&gt; /etc/inetd.conf
+</userinput></screen></para>
+</sect2>
+
Index: server/other/samba/samba-intro.xml
===================================================================
--- server/other/samba/samba-intro.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
+++ server/other/samba/samba-intro.xml	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -0,0 +1,10 @@
+<sect2>
+<title>Introduction to Samba</title>
+
+<screen>Download location (HTTP):       <ulink url="&samba-download-http;"/>
+Version used:                   &samba-version;
+Package size:                   &samba-size;
+Estimated Disk space required:  &samba-buildsize;</screen>
+
+<para>The Samba package provides file and print services to SMB/CIFS
+clients.</para></sect2>
Index: server/other/samba/samba.ent
===================================================================
--- server/other/samba/samba.ent	(revision fea53a2dfe06ebb4df42a1fdf5e712819809854d)
+++ server/other/samba/samba.ent	(revision a979d278310ada3f7aac5a709264948cd47f58b3)
@@ -1,1 +1,13 @@
 <!ENTITY samba SYSTEM "../samba.xml">
+<!ENTITY samba-intro SYSTEM "samba-intro.xml">
+<!ENTITY samba-inst SYSTEM "samba-inst.xml">
+<!ENTITY samba-exp SYSTEM "samba-exp.xml">
+<!ENTITY samba-config-exp SYSTEM "samba-config-exp.xml">
+<!ENTITY samba-desc SYSTEM "samba-desc.xml">
+<!ENTITY samba-config SYSTEM "samba-config.xml">
+<!ENTITY samba-buildsize "37 MB">
+<!ENTITY samba-version "2.2.5">
+<!ENTITY samba-download-http
+"http://us1.samba.org/samba/ftp/samba-latest.tar.gz">
+<!ENTITY samba-download-ftp "">
+<!ENTITY samba-size "5.3 MB">
